package J20250715.homework;

import java.util.Scanner;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo03
 * @description subString(int beginIndex, int endIndex) 方法
 * @create 2025/7/15
 */
public class Demo03 {
    public static void main(String[] args) {
        /*
        String s="123456789";
        //substring()方法只有一个参数的时候，是截取前n个字符，返回剩下的字符串
        String s1 = s.substring(3);
        System.out.println("截取到3的字符串为："+s1);
        //substring()方法两个参数的时候，从索引值0开始，到前一个参数为止，前面的字符不要了
        //到后一个参数位置，后面的不要了，只要中间的字符串。
        String s2=s.substring(2,6);
        System.out.println("截取从2开始到6结束的字符串为："+s2);

         */
        System.out.println("请输入一段字符串....");
        //创建Scanner对象
        Scanner sc=new Scanner(System.in);
        String s = sc.nextLine();
        String start = s.substring(0, 3);
        String end = s.substring(7);
        System.out.println(start+"****"+end);
    }
}
